# fn:distinct-values

fn:distinct-values( xdt:anyAtomicType* $srcval) → xdt:anyAtomicType*

Function signature

$srcval | xdt:anyAtomicType *
Result | xdt:anyAtomicType *

Returns the set of distinct values present in a given sequence

XPath 2.0 Specification

fn:distinct-values( xdt:anyAtomicType* $srcval, string $collation) → xdt:anyAtomicType*

Function signature

$srcval | xdt:anyAtomicType *
$collation | string
Result | xdt:anyAtomicType *

Returns the set of distinct values present in a given sequence, comparing strings using a named collation.

XPath 2.0 Specification

Expand | Up Next